# 批量查询 ADB 信息

批量查询云手机 ADB 连接信息。
- envIds 列表最多支持 200 个项目。
- 支持跨 wuin 和 arm 提供商的混合查询；API 内部按提供商分组并合并结果。
- ADB 信息仅在手机开机时可用（envStatus >= 4）；关机或启动时无法查询。

Endpoint: POST /api/cloudphone/batchAdbInfo
Version: 1.0.0

## Request fields (application/json):

  - `envIds` (array, required)
    List of environment IDs, maximum 200
    Example: [1674380838117474,1675787900043353]

## Response 200 fields (application/json):

  - `code` (integer)
    Response code, 0 indicates success
    Example: 0

  - `msg` (string)
    响应消息
    Example: success

  - `data` (array)
    ADB info list, in the same order as the requested envIds

  - `data.id` (integer)
    Environment ID

  - `data.supportAdb` (boolean)
    Whether ADB is supported

  - `data.enableAdb` (boolean)
    Enable ADB 0 = Disabled, 1 = Enabled

  - `data.envStatus` (integer)
    Environment status:
- 0: New
- 1: Creation failed
- 2: Powered off
- 3: Booting
- 4: Powered on
- 5: Resetting
- 6: Restarting
- 7: One-click new machine in progress

  - `data.adbIp` (string | null)
    ADB connection IP address

  - `data.adbPassword` (string | null)
    ADB connection password

  - `data.adbPort` (string | null)
    ADB connection port

  - `data.command` (string | null)
    ADB SSH tunnel connection command

  - `data.expireTime` (string | null)
    ADB connection expiration time

  - `data.remark` (string | null)
    Remark info. When ADB info cannot be retrieved, the reason is provided:
- Environment does not exist
- Environment is not powered on, unable to query ADB info
- This environment does not support ADB
- Failed to retrieve ADB info

